Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Object

    java.lang.Object

public class Object

Object is the base class for all objects.

The number of methods in this class is small since each method added to this class is added to all other classes in the system.

As with all classes in the waba.lang package, you can't reference the Object class using the full specifier of waba.lang.Object. The waba.lang package is implicitly imported. Instead, you should simply access the Object class like this:

     Object obj = (Object)value;

Constructor Summary
`Object()`

Method Summary
`boolean` | `equals(Object other)` The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
`Class` | `getClass()` Returns the Class that this object represents.
`int` | `hashCode()` returns the hashcode of this object.
`void` | `notify()` Not implemented under the SuperWaba VM!
`String` | `toString()` Returns the string representation of the object, that is full_class_name@internal_address_hex.
`void` | `wait()` Not implemented under the SuperWaba VM!
`void` | `wait(long ms)` Not implemented under the SuperWaba VM!

Constructor Detail

### Object

    public Object()

Method Detail

### toString

    public String toString()

  Returns the string representation of the object, that is full_class_name@internal_address_hex. Note that, differently from JDK, the package separator is / instead of .

### hashCode

    public int hashCode()

  returns the hashcode of this object.

### equals

    public boolean equals(Object other)

  The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
  Since:
    SuperWaba2.0

### notify

    public final void notify()

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### wait

    public final void wait(long ms)
                    throws Exception

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### wait

    public final void wait()
                    throws Exception

  Not implemented under the SuperWaba VM! Will crash if used in the device!

### getClass

    public final Class getClass()

  Returns the Class that this object represents.
  Since:
    SuperWaba 3.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD